GET /MedicationRequest
Summary: Search medication requests
Operation ID: searchMedicationRequest
Auth: none
Operation ID: searchMedicationRequest
Auth: none
Description
Search for medication orders and prescriptions
Parameters (4)
_count
(integer, query, optional, default: 20)
authoredon
(string, query, optional)
When prescribed
patient
(string, query, optional)
Patient reference
status
(string, query, optional)
Prescription status
Constraints: {'enum': ['active', 'on-hold', 'cancelled', 'completed', 'entered-in-error', 'stopped', 'draft', 'unknown']}
Examples (4)
| Title | Type | URL | Action |
|---|---|---|---|
| Search MedicationRequest by patient | doc_extracted |
https://hapi.fhir.org/baseR4/MedicationRequest?patient=347 |
|
| List active medication requests | curl |
https://hapi.fhir.org/baseR4/MedicationRequest?status=active |
|
| Search medication requests by patient ID | curl |
https://hapi.fhir.org/baseR4/MedicationRequest?patient=example |
|
| Get first 5 completed medication requests | curl |
https://hapi.fhir.org/baseR4/MedicationRequest?status=completed&_count=5 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:38:31.922945 | 200 | 510ms | |
| 2026-03-23 09:40:48.412662 | 200 | 491ms | |
| 2026-03-23 09:37:39.299422 | 200 | 498ms | |
| 2026-03-23 09:14:49.206008 | 200 | 478ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:37:39.299422 | d3d30f4266aa |
5a2885bbb565 |
| 2026-03-23 09:40:48.412662 | 5a2885bbb565 |
b90799adcf10 |
| 2026-03-23 10:38:31.922945 | b90799adcf10 |
64da69cacd13 |